*{
    margin: 5px;
    padding: 0;
}
body{
    background-color: pink;
}
#menuHamb{
    /*ocultando o checkbox*/
    display: none;
}
.menuBotao{
    margin-top: 15px;
    display: block;
    width: 30px;
    height: 25px;
    position: relative;
    cursor: pointer;
}
.menuBotao:hover .hamburguer,
.menuBotao:hover .hamburguer::before,
.menuBotao:hover .hamburguer::after{
    background-color: rgb(255, 62, 210);
}

.hamburguer,
.hamburguer::before,
.hamburguer::after{
    display: block;
    background-color: rgb(255, 255, 255);
    height: 3px;
    border-radius: 3px;
    position: absolute;
    transition: background-color 0.3s ease;
    width: 100%;
    content: "";
}
.hamburguer::before{
    top: 8px;
}
.hamburguer::after{
    bottom: 8px;
    transition: background-color 0.9s ease;
}
.menu{
    list-style: none;
    background-color: rgb(255, 84, 212);
    position: absolute;
    top: 60px;
    left: 5px;
    width: auto;
    height: 0;
    transition: height 0.3s ease;
    overflow: hidden;
}
.menu.open{
    height: auto;
}
.menu li{
    margin: 10px;
    text-align: center;
}
.menu a{
    text-decoration: none;
    color: aqua;
    font-size: 18px;
}